View source Improve this doc

# `angular.bootstrap`
API in module `ng`

## Description

Use this function to manually start up angular application.

See: Bootstrap

Note that ngScenario-based end-to-end tests cannot use this function to bootstrap manually. They must use `ngApp`.

## Usage

    angular.bootstrap(element[, modules]);

#### Parameters

Param | Type | Details
--- | --- | ---
element | Element | DOM element which is the root of angular application.
modules (optional) | Array<String|Function> | an array of module declarations. See: `modules`

#### Returns

AUTO.$injector | Returns the newly created injector for this app.